<c:set var="cardChargeDetails" value="${bookingInfo.cardChargeDetails}" />
<c:set var="cardChargeArray" value="${fn:split(cardChargeDetails,',')}" />
<c:set var="cardCharge" value="${cardChargeArray[0]}" />
<c:set var="maxCardCharge" value="${cardChargeArray[2]}" />
<c:set var="maxCap" value="${maxCardCharge}" />
<fmt:parseNumber var="parsemaxCap" type="number" value="${maxCap}" />
<c:set var="CONST_FULL_COST">fullCost</c:set>
<c:set var="CONST_LOW_DEPOSIT"></c:set>
<c:set var="DDsetup_exists" value="${bookingComponent.nonPaymentData.directDebitVariant}" />
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.paypalComponent eq null}">
		<c:set var="enableFlag" value="false" scope="request" />
		<c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:when test="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive eq null || empty bookingInfo.bookingComponent.paypalComponent.paypalOptionActive || bookingInfo.bookingComponent.paypalComponent.enablePaypal eq null || empty bookingInfo.bookingComponent.paypalComponent.enablePaypal}">
        <c:set var="enableFlag" value="false" scope="request" />
        <c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:otherwise>
<c:set var="enableFlag" value="${bookingInfo.bookingComponent.paypalComponent.enablePaypal}" scope="request" />
<c:set var="paypalActiveFlag" value="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive}" scope="request" />
    </c:otherwise>
</c:choose>
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection'] eq null || empty bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}">
		<c:set var="paypaldefault" value="false" scope="request" />
	</c:when>
	<c:otherwise>
		<c:set var="paypaldefault" value="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}" scope="request" />
	</c:otherwise>
</c:choose>
<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.totalAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />

								   <div class="component pay-modes">
								   <input type="hidden" name="payment_0_type" id="payment_0_type">
			<div class="section-heading">
			    <h2 class="icon-v2 icon-TUI_Padlock dark-blue">
					<c:choose>
						<c:when test="${DDsetup_exists}">
							<span class="tui-font marg-left-15">Payment</span>
						</c:when>
						<c:otherwise>
					<span class="tui-font marg-left-20">choose payment amount</span>
						</c:otherwise>	
					</c:choose>					
				</h2>
										</div>
			
										<%@include file="depositDetails.jspf"%>
										
	<script type="text/javascript">
	var mobileDevice=navigator.userAgent.includes('Linux');
	var iphoneDevice=navigator.userAgent.includes('iPhone');
	var paypalErrorFlag = ${paypalActiveFlag != '' ? paypalActiveFlag:false};
		jQuery(document).ready(function() {
			//if(mobileDevice == true || iphoneDevice == true || ipadDevice == true)
			if(mobileDevice == true || iphoneDevice == true || ${paypaldefault} == true){
				var mobcardSelection=document.getElementById("cardpayment");
				var mobSelection=document.getElementById("paypal");
				mobcardSelection.removeClassName('active');
				mobSelection.addClassName('active');
				displayCardChargesPaypal("paypalType");
				if(paypalErrorFlag == false){
					var mobcardSelection=document.getElementById("cardpayment");
					var mobSelection=document.getElementById("paypal");
					var paypalActive=document.getElementById("paypalType");
					mobcardSelection.addClassName('active');
					mobSelection.removeClassName('active');
					displayCardChargesPaypal("cardpaymentType");
					paypalActive.addClassName('pointer-none');
				}
			}
		});
	</script>
										
										
										<input type="hidden" id="cardtype" name="cardtype" value="Debit">									
			<c:if test="${applyCreditCardSurcharge eq 'true'}">
				<div class="section-heading">
					<h2 class="icon-v2 icon-TUI_CreditCard dark-blue">
						<span class="tui-font marg-left-20">card details</span>
					</h2>
				</div>
			</c:if>
			<c:if test="${applyCreditCardSurcharge eq 'false'}">
				<c:choose>
					<c:when test="${enableFlag}">
						<!--For paypal variant-->
				<div class="new-card-details-section">
					<!--<div class="new-card-details">
						<h2 class="uppercase heading">
						<span class="tui-font">card details</span>
					</h2>
				</div>
				<p class="size-16 main-text"><c:out value="${cardchargetext}" /></p>
					<img src="../cms-cps/tuicruisedeals/images/CCLogos.svg">
					</br>-->			
					<ul>
						<li class="b pay-box" id="cardpaymentType" onclick="displayCardChargesPaypal(this.id)">
							<!-- debit card-->
							<div class="cardpayment-details"  >
							<span class="icon-v2 brand-blue radio active" id="cardpayment"></span><span class="card-heading">Card Payment</span>
							<p>We accept all major credit and debit cards.<br/>
							All payment cards are fee-free.</p>
							<img src="../cms-cps/tuicruisedeals/images/CCLogos.svg" />	
							</div>
						</li>
								<li class="b pay-box <c:if test="${paypalActiveFlag eq 'false'}">pointer-none</c:if> " id="paypalType" onclick="displayCardChargesPaypal(this.id)">
						<!-- Gift card-->
							<div class="paypal-details" >
								<span class="icon-v2 brand-blue radio" id="paypal"></span>
								<span class="pp-logo"></span>
										<br/><br/>
										<c:if test="${paypalActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal transaction wasn't successful.
										<br/>Please use another payment method.</p></c:if>
								<div class="paypal-selection">
															<!-- Note for js: the whole container is clickable! -->
									<span class="hide" id="payPalChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
								</div>
							</div>
						</li>
					</ul>
				</div>
					</c:when>
					<c:otherwise>
						<div class="new-card-details-section">
							<div class="new-card-details">
								<h2 class="uppercase heading">
									<span class="tui-font">card details</span>
								</h2>
							</div>
							<p class="size-16 main-text"><c:out value="${cardchargetext}" /></p>
							<img src="../cms-cps/tuicruisedeals/images/CCLogos.svg">
							</br>
						</div>
					</c:otherwise>	
				</c:choose>
				</c:if>
				<!--Below id ="payment_mode_title" used in function_depositSectionB.js" -->
				<c:if test="${applyCreditCardSurcharge eq 'true'}">
										<h2 id="payment_mode_title" class="grey-dark uppercase sub-heading underline">How would you like to pay?</h2>
									</c:if>
				
				<div class="card-details <c:if test="${applyCreditCardSurcharge eq 'false'}">hide</c:if>">
					<ul>
					<li class="b pay-box" id="debitcardType" onclick="displayCreditCharges(this.id)">
					<!-- debit card--> 
					<div class="debitcard-details"  >
						<span class="card-heading">Debit Card</span>		
						<span class="card-image"><img src="../cms-cps/tuicruisedeals/images/card1.jpg" /></span>	
						<p>There is no extra charge if paying by debit card. We accept all major debit cards.</p>
						<div class="debitcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECTED</span><span class="icon-v2 brand-blue radio active" id="debit"></span>
							<span class="hide" id="giftCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
						<h2 class="division"></h2>
											</div>
					</li>
					<li class="b pay-box" id="creditcardType" onclick="displayCreditCharges(this.id)">
					<!-- Credit card-->
					<div class="debitcard-details"   >
						<span class="card-heading">Credit Card</span>		
						<span class="card-image"><img src="../cms-cps/tuicruisedeals/images/card3.jpg" /></span>	
						<p  id="cardCharges" >
						<c:choose>
								<c:when test="${applyCreditCardSurcharge eq 'true'}">
						+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge
						<c:if test="${parsemaxCap > 0}">
						(which is capped at &pound;<c:out value="${maxCardCharge}"/>)</c:if>. Using a TUI credit card will add no extra charge
						</c:when>
						<c:otherwise>
						There is no extra charge if paying by Credit Card or TUI Credit Card. We accept all major Credit Cards.
						</c:otherwise>
						</c:choose>
						</p>
						<p  class="disNone" id="credit-text">
						<c:choose>
								<c:when test="${applyCreditCardSurcharge eq 'true'}">
						There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge 
						</c:when>
						<c:otherwise>
						There is no extra charge if paying by Credit Card or TUI Credit Card. We accept all major Credit Cards.
						</c:otherwise>
						</c:choose>
						</p>
						<p style="display: none;" id="thomsoncard" >
						<c:choose>
						<c:when test="${applyCreditCardSurcharge eq 'true'}">
						+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.
						</c:when>
						<c:otherwise>
						There is no extra charge if paying by Credit Card or TUI Credit Card. We accept all major Credit Cards.
						</c:otherwise>
						</c:choose>
						</p>
						<p style="display: none;" id="thomsoncredit-text" >
						<c:choose>
								<c:when test="${applyCreditCardSurcharge eq 'true'}">
						There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">
												(which is capped at &pound;<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.
								</c:when>
								<c:otherwise>
								There is no extra charge if paying by Credit Card or TUI Credit Card. We accept all major Credit Cards.
								</c:otherwise>
								</c:choose>				
												</p>
						<div class="debitcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECT</span><span class="icon-v2 brand-blue radio" id="credit"></span>
							<span class="hide" id="creditCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
						<h2 class="division"></h2>
											</div>
					</li>
					<%-- <li class="b pay-box" id="giftcardType" onclick="displayCreditCharges(this.id)">
					<!-- Gift card-->
					<div class="giftcard-details" >
						<span class="card-heading">Gift Card</span><span class="card-heading">*</span>															
						<p >You can 
						<a href="https://sites.prepaytec.com/chopinweb/balanceCheck.do?customerCode=202192018122&loc=en&showPin=0&brandingCode=bal_tui" target="_blank"> find out your current balance</a> online or by calling 0203 130 0133.</p>
						<div class="giftcard-selection">
													<!-- Note for js: the whole container is clickable! -->
							<span class="rtext">SELECT</span><span class="icon-v2 brand-blue radio" id="gift"></span>
							<span class="hide" id="debitCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
												</div>
											</div>
					</li> --%>
					</ul>
										</div>
				<!-- <div class="giftcard-imp">*(Your Thomson or First Choice gift card needs to have sufficient funds to cover full deposit amount.  Other cards can be used to pay off the remainder of the balance after booking.)</div> -->				
										
									</div>
									
<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>


